#
# Name:          makefile
#
# Description:   Makefile for the mmx
#
#
# The name of the compiler to use
CC=gcc -g
#The default compiler flags to use
#CFLAGS=-I.  -DUNIX -DDIAGNOSE
CFLAGS=-I.  -DUNIX 
#
CFILES=mmx.c
OBJS=mmx.o
#
# The libraries to include
LDLIBS=-mt -lc -lnsl -ldl -lmqm -lmqmcs -lmqmzse

# The rule for converting .c objects to .o objects
#.c.o:
#   ${cc} $(CFLAGS) -c -o $@ $<
#   cc -I  -c -o mmx.c

# The first object in the makefile is the default
# object to build.
# All of the objects in this makefile are components of mmx.
all: mmx
# The mainline routine
#mmx.o:  mmx.c mmxdef.h
#   $(CC) $(CFLAGS) -c -xCC -Xt mmx.c
#
# Build the objects into an executable program
mmx: $(OBJS)
	$(CC) -o mmx mmx.o $(LDLIBS)
#
mmx.o:  mmx.c 
	$(CC) $(CFLAGS) -c mmx.c
#


